Update a span

Update mutable fields of a span. Supports pinning for infinite retention, user feedback, text annotations, and metadata (merged with existing metadata).

Path parameters

unique_idstringRequired
The unique identifier of the span

Headers

AuthorizationstringRequired

Bearer token. Use Bearer YOUR_API_KEY.

Request

This endpoint expects an object.
is_pinnedbooleanOptional
Pin the span for infinite retention.
positive_feedbackboolean or nullOptional

User feedback. true = positive, false = negative, null = clear.

notestringOptional

Free-text annotation on the span.

metadataobjectOptional
Metadata to merge into existing span metadata.

Response

Span updated successfully

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error